Awkward Array: Empty Class Reference

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Empty Class Reference

Builds an EmptyArray which has no content in it. It is used whenever an array's type is not known because it is empty. More...

`#include <LayoutBuilder.h>`

## Public Member Functions
| Empty ()
| Creates a new Empty layout builder.
const std::string & | parameters () const noexcept
| Parameters for the builder form.
void | set_parameters (std::string parameter) noexcept
| Sets the form parameters.
void | set_id (size_t &id) noexcept
void | clear () noexcept
size_t | length () const noexcept
| Current length of the content.
bool | is_valid (std::string &) const noexcept
| Checks for validity and consistency.
void | buffer_nbytes (std::map< std::string, size_t > &names_nbytes) const noexcept
void | to_buffers (std::map< std::string, void * > &buffers) const noexcept
void | to_char_buffers (std::map< std::string, uint8_t * > &buffers) const noexcept
| Copies and concatenates all the accumulated data in the builder to a map of user-allocated buffers.
std::string | form () const noexcept
| Generates a unique description of the builder and its contents in the form of a JSON-like string.

## Detailed Description

Builds an EmptyArray which has no content in it. It is used whenever an array's type is not known because it is empty.

## Constructor & Destructor Documentation

## ◆ Empty()

Empty | ( |  | ) |
| inline

Creates a new Empty layout builder.

## Member Function Documentation

## ◆ buffer_nbytes()

void buffer_nbytes | ( | std::map< std::string, size_t > & | names_nbytes | ) | const
| inlinenoexcept

## ◆ clear()

void clear | ( |  | ) |
| inlinenoexcept

## ◆ form()

std::string form | ( |  | ) | const
| inlinenoexcept

Generates a unique description of the builder and its contents in the form of a JSON-like string.

## ◆ is_valid()

bool is_valid | ( | std::string & |  | ) | const
| inlinenoexcept

Checks for validity and consistency.

## ◆ length()

size_t length | ( |  | ) | const
| inlinenoexcept

Current length of the content.

## ◆ parameters()

const std::string & parameters | ( |  | ) | const
| inlinenoexcept

Parameters for the builder form.

## ◆ set_id()

void set_id | ( | size_t & | id | ) |
| inlinenoexcept

## ◆ set_parameters()

void set_parameters | ( | std::string | parameter | ) |
| inlinenoexcept

Sets the form parameters.

## ◆ to_buffers()

void to_buffers | ( | std::map< std::string, void * > & | buffers | ) | const
| inlinenoexcept

## ◆ to_char_buffers()

void to_char_buffers | ( | std::map< std::string, uint8_t * > & | buffers | ) | const
| inlinenoexcept

Copies and concatenates all the accumulated data in the builder to a map of user-allocated buffers.

The map keys and the buffer sizes are obtained from buffer_nbytes

The documentation for this class was generated from the following file:

- src/awkward/_v2/cpp-headers/awkward/LayoutBuilder.h